> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/cloud-connect/describebyteplusregions.md).

# DescribeBytePlusRegions

## 1. API Description

This API (DescribeBytePlusRegions) is used to query BytePlus Access Point Regions

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                        | Description                                                                                                                                            |
| -------------- | -------- | --------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| product        | No       | [CloudProduct](/api-reference/networking/sdn/datastructure.md#cloudproduct) | <p>Filter by product supported by the cloud access point.</p><p>Available values: PrivateConnect (Layer 2 network), CloudRouter (Layer 3 network).</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                               | Description                                                                                                           |
| -------------- | ---------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                             | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| cloudRegions   | Array of [CloudRegion](/api-reference/networking/sdn/datastructure.md#cloudregion) | List of region information related to the access point.                                                               |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the access point region information supported by BytePlus Cloud Connect.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBytePlusRegions
<Common Request Params>

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "cloudRegions":[
        {
            "cloudRegionId":"eu-west-1",
            "dataCenter":{
                "dcId":"SOF1",
                "cityName":"Sofia",
                "areaName":"Europe",
                "dcName":"Equinix_SO2",
                "latitude":42.671886,
                "longitude":23.407631,
                "dcAddress":"N33 Nedelcho Bonchev str, Sofia, Bulgaria",
                "countryName":"Bulgaria"
            },
            "products":[
                "PrivateConnect",
                "CloudRouter"
            ],
            "haTypes":[
                {
                    "haType":"PRIMARY",
                    "isUsed":false
                }
            ]
        }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
